Create Automation Key
Creates an automation key on the application, bound to an automation-flagged user. The secret is returned exactly once.
Required scopes: auth:apps:edit
Authorization
BearerAuth JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
1 <= length <= 64URN of the user to bind. Must carry the automation flag and must not be an organisation admin.
1 <= length <= 1281 <= length <= 64items <= 64items <= 64Optional. Defaults to the platform default lifetime; capped at the platform maximum.
date-timeResponse Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.ApplicationsService/CreateAutomationKey" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"key": {
"keyId": "string",
"name": "string",
"keyPrefix": "string",
"applicationId": "string",
"user": {
"userId": "usr_a1b2c3d4e5f6",
"username": "johndoe",
"email": "[email protected]",
"avatarUrl": "https://cdn.example.com/avatars/abc123"
},
"scopes": [
"string"
],
"clientIds": [
"string"
],
"expiresAt": "2023-01-15T01:30:15.01Z",
"lastUsedAt": "2023-01-15T01:30:15.01Z",
"revokedAt": "2023-01-15T01:30:15.01Z",
"createdAt": "2023-01-15T01:30:15.01Z",
"createdBy": "string",
"iacManaged": true
},
"secret": "string"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Create Scope POST
Creates a new OAuth scope for an application. Optionally assign the scope to a specific role. **Required scopes:** `auth:scopes:edit`
Create Resource Type POST
Registers a new resource type for Rich Authorization Requests (RFC 9396). The type name will be used as {app_slug}:{type} in authorization_details. **Required scopes:** `auth:apps:edit`